Bug 180052 - Review Request: evas: A hardware-accelerated canvas API
Review Request: evas: A hardware-accelerated canvas API
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Tanguy
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 180058 180149
  Show dependency treegraph
 
Reported: 2006-02-05 00:17 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-11 14:35:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-02-05 00:17:03 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/evas.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/evas-0.9.9.023-1.src.rpm
Description: Evas is a hardware-accelerated canvas API for X-Windows that can draw anti-aliased text, smooth super and sub-sampled images, alpha-blend, as well as drop down to using normal X11 primitives such as pixmaps, lines and rectangles for speed if your CPU or graphics hardware are too slow.

Evas abstracts any need to know much about what the characteristics of your XServer's display are, what depth or what magic visuals etc, it has. The most you need to tell Evas is how many colors (at a maximum) to use if the display is not a truecolor display.
Comment 1 Eric Tanguy 2006-02-05 11:25:35 EST
Review for release 1:
* RPM name is OK
* Source evas-0.9.9.023.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list of evas-devel looks OK
* File list of evas looks OK
* Run fine

Needs work:
* rpmlint of evas-devel :
W: evas-devel no-documentation
* rpmlint of evas :
E: evas library-without-ldconfig-postin /usr/lib/libevas.so.1.0.0
E: evas library-without-ldconfig-postun /usr/lib/libevas.so.1.0.0
E: evas zero-length /usr/share/doc/evas-0.9.9.023/ChangeLog
E: evas zero-length /usr/share/doc/evas-0.9.9.023/NEWS

I can't try it with mock devel which seems broken but BuildRequires: 
xorg-x11-devel seems not good for modular X in fc5 and maybe you can also
BuildRequires: cairo-devel for fc5.
Comment 2 Ignacio Vazquez-Abrams 2006-02-05 14:33:05 EST
Updated.

I'll update it for modular X once it's in CVS.
Comment 3 Eric Tanguy 2006-02-05 14:46:16 EST
Ok for modular X but i could be interesting to enable cairo support, no ?
Comment 4 Ignacio Vazquez-Abrams 2006-02-05 14:54:24 EST
I'll cross that bridge when I get to it.
Comment 5 Eric Tanguy 2006-02-10 13:25:26 EST
Review for release 1:
* RPM name is OK
* Source evas-0.9.9.023.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of evas-devel looks OK
* rpmlint of evas looks OK
* File list of evas-devel looks OK
* File list of evas looks OK
* Work fine
APPROVED
Comment 6 Ignacio Vazquez-Abrams 2006-02-11 14:35:52 EST
There doesn't appear to be any cairo support in 0.9.9.023.

Built in FC4 and devel.

Note You need to log in before you can comment on or make changes to this bug.